$(document).ready(function(){
	$("#tipo_expediente").on("change",function(){
		var tipo =$("#tipo_expediente").val();
		var procesos = $(".procesos");
		console.log(procesos);
		$(".procesos").hide();
		$("#proceso").val("");
		switch (tipo) {
			case '':
				$(".procesos").show();
				break;
			case '1':
				procesos.each(function(index,element) {
					if($(element).attr("tipo")=="1"){
						$(element).show();
					}					
				});
				break;
			case '2':
				procesos.each(function(index,element) {
					if($(element).attr("tipo")=="2"){
						$(element).show();
					}					
				});
				break;
			case '3':
				procesos.each(function(index,element) {
					if($(element).attr("tipo")=="3"){
						$(element).show();
					}					
				});
				break;
		
			default:
				break;
		}
		
		table.draw();
	});
	var table = $('#table-data').DataTable({
		// searching: false,
		processing:true,
		serverSide:true,
		language: {
	        url:base_url+'/js/spanish.json'
	    },
		ajax:{
			url:base_url+'/extranet/mesa/lista',
			data: function (d) {
	            d.estado = $('#estado').val();
	            d.tipo_expediente = $('#tipo_expediente').val();
	            d.proceso = $('#proceso').val();
	            d.anio = $('#anio').val();
	        }
		},
		columns:[
			{data:'Botones',name:'Botones'},
			{data:'SolicitudCodigo',name:'SolicitudCodigo'},
			{data:'TipoExpediente',name:'TipoExpediente'},
			{data:'Proceso',name:'Proceso'},
			{data:'Asunto',name:'Asunto'},
			{data:'Entidad',name:'Entidad'},
			{data:'FechaReg',name:'FechaReg'},
			// {data:'Asunto',name:'Asunto'},
			// {data:'Comentario',name:'Comentario'},
			{data:'Estado',name:'Estado'},
			// {data:'TipoPersona',name:'TipoPersona'},
			// {data:'Empresa',name:'Empresa'},
		],
	    rowCallback: function( row, data, index ) {
	    	$('td:eq(0)', row).html('<a href="'+base_url+'/extranet/mesa/expediente/'+data.RowId+'" class="editar btn btn-dark btn-sm col-xs-4"><i class="fa fa fa-pencil-square-o" aria-hidden="true"></i>Revisar</a>');
			  switch(parseInt(data.NumEstado)) {
				  case 0:
				    // $(row).addClass("table-info");
				    break;
				  case 1:
				    $(row).addClass("table-success");
				    break;
				  case 2:
				    $(row).addClass("table-danger");
				    break;
				  
				  default:
				  	break;
				    // code block
				}

		},
	    "orderable": false,
	    "targets": 'no-sort',
	});
	$("#estado,#tipo_expediente,#proceso").on("change",function(){
		table.draw();
	});
});